Description

If you export a run that's Unnamed1, you're prompted to give the workflow a name. If you give it it a name, finish your export, you'll
see the window hasn't changed names, it's still Unnamed1. And yet if you run this workflow again, the new run row shows the new
name.

Related issues:
Blocks Kepler - Bug #4916: Save Archive gives an error Resolved 03/30/2010

History

#1 - 03/30/2010 06:02 PM - Derik Barseghian

You're no longer prompted to rename an unnamed workflow during a run export. However, the following types of scenarios need to be tested once
bug#4916 is fixed:

export a run with an unnamed workflow, then rename the workflow via e.g. the canvas context menu, then export the run row again. Compare the
contents of the kars, and what workflow titles show up when you open those kars.

#2 - 04/15/2010 02:51 PM - Derik Barseghian

Closing this. You can get into some confusing territory with name tracking if you follow the scenario in comment#1, especially if you open the kar that
was exported before the rename, and then run its workflow, but i'm not sure how to fix this. If people find it confusing, we may want to reevaluate the
provenance workflow name rename feature.

#3 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4672
